Bug 617664 - Manual provisions and automated installs should provide a default set of packages
Summary: Manual provisions and automated installs should provide a default set of pack...
Status: CLOSED DEFERRED
Alias: None
Product: Fedora
Classification: Fedora
Component: cobbler   
(Show other bugs)
Version: 15
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Bill Peck
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-23 17:09 UTC by Zack Cerza
Modified: 2012-09-13 14:56 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-13 14:56:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Zack Cerza 2010-07-23 17:09:20 UTC
In the interest of more consistent test environments, I propose that we modify Beaker to do default installs across the board. We should be starting with what our customers start with.

That isn't to say that if your tests require extra packages, that they don't get installed. I'm just talking about having a known starting point. Right now, manually-provisioned systems often have a very different package set from systems installed for scheduled automated tests - that makes coordinating testing and debugging with developers needlessly difficult.

Apparently this can be as simple as passing --default to %packages in kickstart files.

Comment 1 Bill Peck 2011-03-23 22:07:37 UTC
Did we succeed here or is this still a fail?


Note You need to log in before you can comment on or make changes to this bug.